Skip to main content
POST
/
sources
/
stop_incremental_snapshot
Stop Incremental Snapshot
curl --request POST \
  --url https://api.streamkap.com/sources/stop_incremental_snapshot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_id": "<string>",
  "topic_names": [
    "<string>"
  ],
  "additional_conditions": [
    {
      "data_collection": "<string>",
      "filter": "<string>"
    }
  ],
  "surrogate_key": "<string>"
}
'
import requests

url = "https://api.streamkap.com/sources/stop_incremental_snapshot"

payload = {
    "source_id": "<string>",
    "topic_names": ["<string>"],
    "additional_conditions": [
        {
            "data_collection": "<string>",
            "filter": "<string>"
        }
    ],
    "surrogate_key": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    source_id: '<string>',
    topic_names: ['<string>'],
    additional_conditions: [{data_collection: '<string>', filter: '<string>'}],
    surrogate_key: '<string>'
  })
};

fetch('https://api.streamkap.com/sources/stop_incremental_snapshot', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Execute Snapshot Body

source_id
string
required
topic_names
string[] | null
additional_conditions
AdditionalCondition · object[] | null
surrogate_key
string | null

Column name to use as surrogate primary key for all tables during snapshot chunking. Useful for tables without primary keys or when a more efficient column exists for chunking.

Response

Successful Response